unit u_szovszerk1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls, Buttons;

type
  TFormFo = class(TForm)
    RadioGroupIgazitas: TRadioGroup;
    RadioGroupBetuszin: TRadioGroup;
    GroupBoxStilus: TGroupBox;
    CheckBoxFelkover: TCheckBox;
    CheckBoxDolt: TCheckBox;
    CheckBoxAlahuzott: TCheckBox;
    BitBtnKivag: TBitBtn;
    BitBtnMasol: TBitBtn;
    BitBtnBeilleszt: TBitBtn;
    BitBtnTorol: TBitBtn;
    BitBtnVisszavon: TBitBtn;
    BitBtnMent: TBitBtn;
    BitBtnBetoltes: TBitBtn;
    MemoSzoveg: TMemo;
    BitBtn1: TBitBtn;
    CheckBoxSortores: TCheckBox;
    RadioGroupGorditosavok: TRadioGroup;
    RadioGroupBetutipus: TRadioGroup;
    procedure CheckBoxFelkoverClick(Sender: TObject);
    procedure CheckBoxDoltClick(Sender: TObject);
    procedure CheckBoxAlahuzottClick(Sender: TObject);
    procedure RadioGroupIgazitasClick(Sender: TObject);
    procedure RadioGroupBetuszinClick(Sender: TObject);
    procedure BitBtnKivagClick(Sender: TObject);
    procedure BitBtnMasolClick(Sender: TObject);
    procedure BitBtnBeillesztClick(Sender: TObject);
    procedure BitBtnTorolClick(Sender: TObject);
    procedure BitBtnVisszavonClick(Sender: TObject);
    procedure BitBtnMentClick(Sender: TObject);
    procedure BitBtnBetoltesClick(Sender: TObject);
    procedure CheckBoxSortoresClick(Sender: TObject);
    procedure RadioGroupGorditosavokClick(Sender: TObject);
    procedure RadioGroupBetutipusClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormFo: TFormFo;

implementation

{$R *.DFM}

procedure TFormFo.CheckBoxFelkoverClick(Sender: TObject);
begin
If CheckBoxFelkover.Checked
   then MemoSzoveg.Font.Style:= MemoSzoveg.Font.Style + [fsBold]
   else MemoSzoveg.Font.Style:= MemoSzoveg.Font.Style - [fsBold];

end;

procedure TFormFo.CheckBoxDoltClick(Sender: TObject);
begin
If CheckBoxDolt.Checked
   then MemoSzoveg.Font.Style:= MemoSzoveg.Font.Style + [fsItalic]
   else MemoSzoveg.Font.Style:= MemoSzoveg.Font.Style - [fsItalic];
end;

procedure TFormFo.CheckBoxAlahuzottClick(Sender: TObject);
begin
If CheckBoxAlahuzott.Checked
   then MemoSzoveg.Font.Style:= MemoSzoveg.Font.Style + [fsUnderline]
   else MemoSzoveg.Font.Style:= MemoSzoveg.Font.Style - [fsUnderline];
end;

procedure TFormFo.RadioGroupIgazitasClick(Sender: TObject);
begin
Case RadioGroupIgazitas.ItemIndex of
  0: MemoSzoveg.Alignment:= taLeftJustify;
  1: MemoSzoveg.Alignment:= taRightJustify;
  2: MemoSzoveg.Alignment:= taCenter;
  end;
end;

procedure TFormFo.RadioGroupBetuszinClick(Sender: TObject);
begin
Case RadioGroupbetuszin.ItemIndex of
  0: MemoSzoveg.Font.Color:= clRed;
  1: MemoSzoveg.Font.Color:= clGreen;
  2: MemoSzoveg.Font.Color:= clBlack;
  end;
end;

procedure TFormFo.BitBtnKivagClick(Sender: TObject);
begin
MemoSzoveg.CutToClipboard;
end;

procedure TFormFo.BitBtnMasolClick(Sender: TObject);
begin
MemoSzoveg.CopyToClipboard;
end;

procedure TFormFo.BitBtnBeillesztClick(Sender: TObject);
begin
MemoSzoveg.PasteFromClipboard;
end;

procedure TFormFo.BitBtnTorolClick(Sender: TObject);
begin
MemoSzoveg.Clear;
end;

procedure TFormFo.BitBtnVisszavonClick(Sender: TObject);
begin
MemoSzoveg.Undo;
end;

procedure TFormFo.BitBtnMentClick(Sender: TObject);
begin
MemoSzoveg.Lines.SaveToFile('demo.txt');
end;

procedure TFormFo.BitBtnBetoltesClick(Sender: TObject);
begin
MemoSzoveg.Lines.LoadFromFile('demo.txt');
end;

procedure TFormFo.CheckBoxSortoresClick(Sender: TObject);
begin
MemoSzoveg.WordWrap:= CheckBoxSortores.Checked;
end;

procedure TFormFo.RadioGroupGorditosavokClick(Sender: TObject);
begin
Case RadioGroupGorditosavok.ItemIndex of
   0: MemoSzoveg.ScrollBars:= ssNone;
   1: MemoSzoveg.ScrollBars:= ssHorizontal;
   2: MemoSzoveg.ScrollBars:= ssVertical;
   3: MemoSzoveg.ScrollBars:= ssBoth;
  end;
end;

procedure TFormFo.RadioGroupBetutipusClick(Sender: TObject);
begin
Case RadioGroupBetutipus.ItemIndex of
   0: MemoSzoveg.Font.Name:= 'MS Sans Serif';
   1: MemoSzoveg.Font.Name:= 'Arial';
   2: MemoSzoveg.Font.Name:= 'Times New Roman';
  end;
end;

end.
