unit u_gyerek;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus;

type
  TFormGyerek = class(TForm)
    MemoSzoveg: TMemo;
    MainMenuGyerek: TMainMenu;
    Formtum1: TMenuItem;
    Bettpus1: TMenuItem;
    FontDialog: TFontDialog;
    ColorDialog: TColorDialog;
    Httrszn1: TMenuItem;
    Szerkeszts1: TMenuItem;
    Kivg1: TMenuItem;
    Msol1: TMenuItem;
    Beilleszt1: TMenuItem;
    Trl1: TMenuItem;
    N1: TMenuItem;
    procedure Bettpus1Click(Sender: TObject);
    procedure Httrszn1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Kivg1Click(Sender: TObject);
    procedure Msol1Click(Sender: TObject);
    procedure Beilleszt1Click(Sender: TObject);
    procedure Trl1Click(Sender: TObject);
  private
    { Private declarations }
  public
  end;

var
  FormGyerek: TFormGyerek;

implementation

uses u_szerkeszto;

{$R *.DFM}

procedure TFormGyerek.Bettpus1Click(Sender: TObject);
begin
 If FontDialog.Execute
   then FormGyerek.MemoSzoveg.Font:= FontDialog.Font;
end;

procedure TFormGyerek.Httrszn1Click(Sender: TObject);
begin
 If ColorDialog.Execute then
    begin
    MemoSzoveg.Color:= ColorDialog.Color;
    end;
end;

procedure TFormGyerek.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action:= caFree;
end;

procedure TFormGyerek.Kivg1Click(Sender: TObject);
begin
 MemoSzoveg.CutToClipboard;
end;

procedure TFormGyerek.Msol1Click(Sender: TObject);
begin
 MemoSzoveg.CopyToClipboard;
end;

procedure TFormGyerek.Beilleszt1Click(Sender: TObject);
begin
 MemoSzoveg.PasteFromClipboard;
end;

procedure TFormGyerek.Trl1Click(Sender: TObject);
begin
 MemoSzoveg.Clear;
end;

end.
