unit Lista;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TFrm_Lista = class(TForm)
    LstBox_Lista: TListBox;
    Edt_Listaelem: TEdit;
    Bt_Ad: TButton;
    Bt_Torol: TButton;
    Bt_Keres: TButton;
    Bt_Mindettorol: TButton;
    Bt_Jelolttorol: TButton;
    procedure Bt_MindettorolClick(Sender: TObject);
    procedure Bt_TorolClick(Sender: TObject);
    procedure Bt_AdClick(Sender: TObject);
    procedure Bt_KeresClick(Sender: TObject);
    procedure Bt_JelolttorolClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Frm_Lista: TFrm_Lista;

implementation

{$R *.DFM}

procedure TFrm_Lista.Bt_MindettorolClick(Sender: TObject);
begin
    LstBox_Lista.Clear;
    Edt_Listaelem.Text:='';
    Frm_Lista.ActiveControl:=Edt_Listaelem;
end;

procedure TFrm_Lista.Bt_TorolClick(Sender: TObject);
begin
     LstBox_Lista.ItemIndex:=-1;
     LstBox_Lista.Items.Delete(LstBox_Lista.Items.IndexOf(Edt_Listaelem.Text));
     Edt_Listaelem.Text:='';
     Frm_Lista.ActiveControl:=Edt_Listaelem;
end;     
procedure TFrm_Lista.Bt_AdClick(Sender: TObject);
begin
     If (LstBox_Lista.Items.IndexOf(Edt_Listaelem.Text) = -1) And (Edt_Listaelem.Text<>'')
     {csak akkor veszem fel az uj elemet, ha nincs mg ilyen}
        Then
            Begin
                 LstBox_Lista.Items.Add(Edt_Listaelem.Text);
            End;
     Edt_Listaelem.Text:='';
     Frm_Lista.ActiveControl:=Edt_Listaelem;
end;

procedure TFrm_Lista.Bt_KeresClick(Sender: TObject);
begin
     If (LstBox_Lista.Items.IndexOf(Edt_Listaelem.Text) <> -1)
        Then
            Begin
                 LstBox_Lista.ItemIndex:=LstBox_Lista.Items.IndexOf(Edt_Listaelem.text);
            End;
     Edt_Listaelem.Text:='';
     Frm_Lista.ActiveControl:=Edt_Listaelem;
end;

procedure TFrm_Lista.Bt_JelolttorolClick(Sender: TObject);
Var i      : Integer;
    valasz : Boolean;
begin
     i:=-1;
     valasz:=False;
     While Not(valasz) And (i<LstBox_Lista.Items.count-1) Do
           Begin
                i:=i+1;
                valasz:=LstBox_Lista.Selected[i]=True;
           End;
     If valasz
        Then
            Begin
                 LstBox_Lista.Items.Delete(i);
            End;
    Edt_Listaelem.Text:='';
    Frm_Lista.ActiveControl:=Edt_Listaelem;
end;

end.

